//* {
//  transition: all 0.25s;
//}


//
// CORE TYPOGRAPHY
//

h1, h2, h3, h4, h5, h6 {
  font-family: 'Work Sans', sans-serif;
  color: rgba(0,0,0,0.8);
  letter-spacing: -.03125rem;
}

//::selection {
//  background-color: rgba(0,0,0,0.8);
//  color: rgba(255,255,255,1);
//}

h1 {
  font-size: 3rem;
  line-height: 3.25rem;
  margin-bottom: 1rem;
  font-weight: 700;
}

h2 {
  font-size: 2rem;
  line-height: 2.25rem;
  margin-bottom: 1rem;
  font-weight: 700;
}

p {
  font-size: 1rem;
  line-height: 1.5rem;
  color: rgba(0,0,0,0.8);
  margin-bottom: 1rem;
}

p:last-of-type {
  margin-bottom: 0;
}

//
// STRUCTURE
//

body {
  overflow-x: hidden;
}

.our-container {
  @extend .container-xl;
}
@include media-breakpoint-up(md) {
  .our-container {
    padding-left: $grid-gutter-width * 2;
    padding-right: $grid-gutter-width * 2;
  }
}

//
// COLORATION
//

//
// FEATURES
//

section.feature {
  padding: 4rem 0;
  border-bottom: 1px solid rgba(0,0,0,0.1);
  a.more {
    display: block;
    margin-top: 0.75em;
    text-decoration: underline;
  }
  img {
    border-radius: 4px;
  }
  .embed-responsive {
    border-radius: 4px;
  }
}

.md-collapse-top-spacer {
  @extend .mt-4;
  @extend .mt-md-0;
}

.md-collapse-bottom-spacer {
  @extend .mb-4;
  @extend .mb-md-0;
}

//
// POSTS
//

.post {
  margin-bottom: 3rem;
  .post-date {
    font-weight: bold;
    margin-bottom: 1em;
  }
}


//
// MASTHEAD
//

header.masthead {
  //font-family: 'Work Sans', sans-serif;
  font-size: 14px;
  padding: 0.5rem 1rem;
  background: linear-gradient(90deg, rgba(0,0,0,1) 0%, rgba(102,102,102,1) 100%);
  a.nav-link {
    color: white;
    padding-bottom: 0.75rem;
    &.active {
      border-bottom: 2px solid rgba(255,255,255,1);
      font-weight: bold;
    }
  }
  a.navbar-brand {
    flex-grow: 1 !important;
    color: white;
    text-decoration: none;
    font-size: 1.25rem;
    font-weight: 700;
    font-family: 'Work Sans', sans-serif;
  }
}

main {
  padding-top: $vertical-padding;
  padding-bottom: $vertical-padding;
}
